<?

namespace Shop\DTO;

/**
 * DTO с инфой о корзине
 *
 * @author Admin
 */
class Basket
{

    protected $summ;
    protected $count;
    protected $items;
    
    /**
     * 
     * @param type $summ
     * @param type $count
     */
    function __construct($summ, $count,array $items)
    {
        $this->setCount($count)->setSumm($summ)->setItems($items);
    }

    function getItems()
    {
        return $this->items;
    }

    function setItems($items)
    {
        $this->items = $items;
        return $this;
    }

        
    function getSumm()
    {
        return $this->summ;
    }

    function getCount()
    {
        return $this->count;
    }

    function setSumm($summ)
    {
        $this->summ = $summ;
        return $this;
    }

    function setCount($count)
    {
        $this->count = $count;
        return $this;
    }

}